package com.ruoyi.frequency.workstep.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.controller.req.WorksStepReq;
import com.ruoyi.frequency.workstep.entity.WorkStep;
import com.ruoyi.response.ResponseData;
import com.ruoyi.vo.UserVo;

import java.util.List;

/**
 * 作品踩Service接口
 * 
 * @author liwenlong
 * @date 2023-10-12
 */
public interface WorkStepService extends IService<WorkStep>
{
    /**
     * 查询作品踩
     * 
     * @param id 作品踩主键
     * @return 作品踩
     */
    public WorkStep selectWorkStepById(Long id);

    /**
     * 查询作品踩列表
     * 
     * @param workStep 作品踩
     * @return 作品踩集合
     */
    public List<WorkStep> selectWorkStepList(WorkStep workStep);

    /**
     * 新增作品踩
     * 
     * @param workStep 作品踩
     * @return 结果
     */
    public int insertWorkStep(WorkStep workStep);

    /**
     * 修改作品踩
     * 
     * @param workStep 作品踩
     * @return 结果
     */
    public int updateWorkStep(WorkStep workStep);

    /**
     * 批量删除作品踩
     * 
     * @param ids 需要删除的作品踩主键集合
     * @return 结果
     */
    public int deleteWorkStepByIds(Long[] ids);

    /**
     * 删除作品踩信息
     * 
     * @param id 作品踩主键
     * @return 结果
     */
    public int deleteWorkStepById(Long id);


    /**
     * 作品踩
     * @param req
     * @param userVo
     * @return
     */
    ResponseData worksStep(WorksStepReq req, UserVo userVo);
}
